#
# Conditional build:
%bcond_without	apidocs		# API documentation
%bcond_without	static_libs	# static libraries

Summary:	Netfilter nf_tables infrastructure library
Summary(pl.UTF-8):	Biblioteka infrastruktury nf_tables netfiltra
Name:		libnftnl
Version:	1.2.1
Release:	1
License:	GPL v2+
Group:		Libraries
Source0:	https://netfilter.org/projects/libnftnl/files/%{name}-%{version}.tar.bz2
# Source0-md5:	715c32d0f44cd675d20bb1af2b0be4bc
URL:		https://netfilter.org/projects/libnftnl/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1.6
%{?with_apidocs:BuildRequires:	doxygen}
BuildRequires:	libmnl-devel >= 1.0.4
BuildRequires:	libtool >= 2:2
BuildRequires:	linux-libc-headers >= 7:3.14
BuildRequires:	pkgconfig
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 1.752
Requires:	libmnl >= 1.0.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libnftnl is a userspace library providing a low-level netlink
programming interface (API) to the in-kernel nf_tables subsystem. The
library libnftnl has been previously known as libnftables. This
library is currently used by nftables.

%description -l pl.UTF-8
libnftnl to biblioteka przestrzeni użytkownika udostępniająca
niskopoziomowy interfejs programistyczny (API) netlink do podsystemu
nf_tables w jądrze. Wcześniej biblioteka nazywała się libnftables.
Jest obecnie używana przez narzędzie nftables.

%package devel
Summary:	Header files for libnftnl library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libnftnl
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libmnl-devel >= 1.0.4

%description devel
Header files for libnftnl library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libnftnl.

%package static
Summary:	Static libnftnl library
Summary(pl.UTF-8):	Statyczna biblioteka libnftnl
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libnftnl library.

%description static -l pl.UTF-8
Statyczna biblioteka libnftnl.

%package apidocs
Summary:	libnftnl API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki libnftnl
Group:		Documentation
BuildArch:	noarch

%description apidocs
API and internal documentation for libnftnl library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki libnftnl.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	%{?with_static_libs:--enable-static}

%{__make}

%{?with_apidocs:doxygen doxygen.cfg}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libnftnl.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libnftnl.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libnftnl.so.11

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libnftnl.so
%{_includedir}/libnftnl
%{_pkgconfigdir}/libnftnl.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libnftnl.a
%endif

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%doc doxygen/html/*
%endif
%changelog
* Sun Nov 21 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libnftnl.git;a=log;h=master

* Fri Nov 19 2021 Jakub Bogusz <qboosh@pld-linux.org> 6cb7dc0
- rpm version for noarch subpackage

* Fri Nov 19 2021 Jan Palus <atler@pld-linux.org> 0184464
- up to 1.2.1

* Tue May 25 2021 Jan Palus <atler@pld-linux.org> 2f762f8
- up to 1.2.0

* Sun Mar 07 2021 Jan Rękorajski <baggins@pld-linux.org> 7a94527
- unconditional noarch subpackages

* Fri Jan 15 2021 Jan Palus <atler@pld-linux.org> aafd695
- up to 1.1.9

* Sun Dec 27 2020 Jakub Bogusz <qboosh@pld-linux.org> e31c02d
- updated to 1.1.8

* Sat Aug 22 2020 Jakub Bogusz <qboosh@pld-linux.org> 46d47d6
- updated to 1.1.7

* Mon Apr 20 2020 Jakub Bogusz <qboosh@pld-linux.org> 4caf21c
- updated to 1.1.6

* Thu Jan 30 2020 Jakub Bogusz <qboosh@pld-linux.org> 9c7205b
- updated to 1.1.5

* Sun Sep 22 2019 Jakub Bogusz <qboosh@pld-linux.org> 6622782
- updated to 1.1.4

* Tue May 28 2019 Adam Gołębiowski <adamg@pld-linux.org> fccef49
- updated to 1.1.3

* Wed Nov 14 2018 Adam Gołębiowski <adamg@pld-linux.org> 05eb3c8
- updated to 1.1.2
- json support dropped (in favour of libnftables), remove bcond

* Wed Jul 11 2018 Jakub Bogusz <qboosh@pld-linux.org> 990244c
- updated libmnl version

* Wed Jul 11 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 0aff42c
- up to 1.1.1

* Fri Apr 13 2018 Jakub Bogusz <qboosh@pld-linux.org> f66a51b
- updated to 1.0.9

* Wed Nov 22 2017 Jakub Bogusz <qboosh@pld-linux.org> 62fdd49
- updated to 1.0.8 (note: new soname)

* Sun Mar 26 2017 Jakub Bogusz <qboosh@pld-linux.org> 0e99759
- updated to 1.0.7; xml support removed

* Thu Aug 04 2016 Jakub Bogusz <qboosh@pld-linux.org> 1a948f6
- updated to 1.0.6

* Sat Sep 19 2015 Jakub Bogusz <qboosh@pld-linux.org> 9baa6b3
- updated to 1.0.5 (note: new soname)

* Thu Jul 02 2015 Elan Ruusamäe <glen@delfi.ee> f40e880
- noarch apidocs

